Page MenuHomeFreeBSD

Update KDE Frameworks to 5.29.0
ClosedPublic

Authored by tcberner on Dec 13 2016, 3:27 PM.

Details

Summary

Update KDE Frameworks to 5.29.0.

New Frameworks

  • textproc/kf5-syntax-highlighting (new in 5.28.0)
  • graphics/kf5-prison (new in 5.29.0)

Adress the conflicts from pr 214528

  • Move the applications.menu from devel/kf5-kservice to kf5-applications.menu -> no need to touch kde4
  • The kcm_ssl conflict between kdelibs4support and kdelibs4 has been fixed upstream
  • The conflict between the kde4-l10n files is here to stay. So define CONFLICTS_INSTALL.

Other changes

  • Get rid of the FindHUNSPELL patch in textproc/kf5-sonnet (fixed upstream)
  • devel/kf5-solid add an option to use sysutils/bsdisks instead of hald.
Test Plan

Everything tested in poudriere on 93@32, 103@64, 12@64.

Test the other consumers of kf5-* if they still build. I think an exp-run couldn't hurt.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 22873.Dec 13 2016, 3:27 PM
tcberner retitled this revision from to Update KDE Frameworks to 5.29.0.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: kde, rakuco, mat, adridg.
tcberner updated this revision to Diff 22874.Dec 13 2016, 3:34 PM
tcberner edited edge metadata.
  • Add kf5-prison and kf5-syntax-highlighting to the category Makefiles.
Owners edited edge metadata.Dec 13 2016, 3:34 PM
tcberner updated this revision to Diff 22875.Dec 13 2016, 3:39 PM
tcberner edited edge metadata.

Fix comment in kf5-prison's 9.3 conditional.

Owners edited edge metadata.Dec 13 2016, 3:39 PM
mat edited edge metadata.Dec 13 2016, 4:08 PM

I only looked at the kde.mk changes, which looks ok.

tcberner updated this revision to Diff 22922.Dec 14 2016, 6:01 PM
tcberner edited edge metadata.

The tarball for devel/kf5-kpackage was respun to include to further commits.

Owners edited edge metadata.Dec 14 2016, 6:01 PM
rakuco edited edge metadata.Dec 19 2016, 2:26 PM

I only have some minor comments and questions I've added inline.

devel/kf5-kapidox/Makefile
14 ↗(On Diff #22922)

Was this needed before? Is this related to any open PR?

graphics/kf5-prison/Makefile
9 ↗(On Diff #22922)

prodcue -> produce

19 ↗(On Diff #22922)

nulltpr -> nullptr (in the patch file name too :)

21 ↗(On Diff #22922)

I wonder if it doesn't make sense to just add USES=compiler:c++11-lang instead.

ping @rakuco

devel/kf5-kapidox/Makefile
14 ↗(On Diff #22922)

This is a fix for python3 by @fluffy from area51 [1]

[1] http://src.mouf.net/area51/revision/?rev=13420

graphics/kf5-prison/Makefile
21 ↗(On Diff #22922)

*head -> wall* let me check

tcberner updated this revision to Diff 23092.Dec 19 2016, 3:21 PM
tcberner edited edge metadata.
  • Fix typo in kf5-prison's COMMENT
  • Use USES=compiler:c++11-lang instead of the extrapatch as suggested by rakuco.
Owners edited edge metadata.Dec 19 2016, 3:21 PM
tcberner marked 4 inline comments as done.Dec 19 2016, 3:21 PM
rakuco accepted this revision.Dec 19 2016, 3:23 PM
rakuco edited edge metadata.

ship it!

This revision was automatically updated to reflect the committed changes.